(document:surround "/std/base")
(document:insert "/std/functions")

(document:envelop with-translation _ "alterator-packages")

title (_ "Error during package installation")

(label (bold (_"Error during package installation")))

(listbox
 (rows
  (filter-map (lambda(e)
                (let ((class (car e))
                      (message (cdr e)))
                  (cond
                   ((string=? class "update")
                    (string-append (_ "Unable to get") " : " message))
                   ((string=? class "missing")
                    (string-append (_ "Unable to locate") " : " message))
                   ((string=? class "download")
                    (string-append (_ "Unable to download") " : " message))
                   ((string=? (car e) "install")
                    (string-append (_ "Unable to install") " : " message))
                   ((string=? class "assert")
                    (string-append (_ "Internal error") " : " message))
                   (else #f))))
              (or (global 'error) '()))))

(button (_ "Close")
        (when clicked (document:end #t)))
